=== debian/control ===
Source: ros-kinetic-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-chomp-motion-planner, ros-kinetic-cmake-modules, ros-kinetic-dynamic-reconfigure, ros-kinetic-eigen-conversions, ros-kinetic-message-filters, ros-kinetic-moveit-core, ros-kinetic-moveit-msgs, ros-kinetic-moveit-ros-perception, ros-kinetic-pluginlib (>= 1.10.4), ros-kinetic-roscpp, ros-kinetic-srdfdom, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-chomp-motion-planner, ros-kinetic-dynamic-reconfigure, ros-kinetic-eigen-conversions, ros-kinetic-message-filters, ros-kinetic-moveit-core, ros-kinetic-moveit-msgs, ros-kinetic-moveit-ros-perception, ros-kinetic-pluginlib (>= 1.10.4), ros-kinetic-tf, ros-kinetic-tf-conversions
Description: Planning components of MoveIt! that use ROS
